Subject: Trainer Candidate - Mayank Handa
From: Mayank Handa <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 28 Jan 2021 01:45:23 -0500

Tech Support
Test

Name

Mayank
Handa

E-mail

[email-masked]

Phone Number

(91) 8800846359

Do you have your own transportation
(2 or 4 wheeler) or are you able to commute to office without using Metro? Our
office is located in Noida Sector 2, near Noida - Sector 15 Metro
Station

I have my own 2/4 wheeler transport

Where
do you currently live (area)

Faridabad

Please give us details of your last 3 employments including current.
If you've not worked in 3 companies, please enter NA

Name of Company

Designation

Last
working day

Monthly Salary (inhand)

Current
Employer

Blue Angels Global School

Manager Training and HOD
English

Still working

45000

Previous Employer 1

PP International
School

Teacher of English

2018

45000

Previous
Employer 2

OP Jindal Global University

Assistant Manager Training and
Langauge

2017

55000

If Selected, how much time do you need
to join?

30days

Please briefly
describe your work experience specifically in training?

I have
designed and delivered trainings from sales to OD and langauge for both new
hires and management.

Have you worked as a trainer in a Call
Center/Customer Service/BPO Environment?

Yes

Please tell us below in 300 - 500
words about the most difficult situation you faced either while training or
managing a team.

While managing a team with OP Jindal Global
University, I had an instant where my entire staff required leave for their own
valid reason. In case of emergency we decided to handle the situation by
conducting skype sessions and worked on the duration of the training. This also
gave us opportunity to digitalize training and create a leave tracker to avoid
such situation in future.

What according to you is the difference
between good and great customer service. (Explain in 4 - 6 sentences)

A good customer service is when you help the customer with their
concern and resolve the issue. A great customer service experience is helping
customer realise they are important and walking an extra mile with
them.

What according to you makes you a good candidate
for this position?

I am have a wide area of experience noth in
working and education that makes me suitable for this position. From ID to Lab
delivery and SOP setup I have a hands on experience.

On a scale of 1 - 5
please rate your fluency in spoken English

5